> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/59.-zapytanie-pobierz-asapplieddatasets.md).

# 59. Zapytanie: Pobierz „AsAppliedDatasets”

Pobierz zbiory danych As-Planted lub As-Applied

Pobierz wszystkie "AsAppliedDatasets" dla wybranego "Field". Zestawy danych można pobrać za pomocą ogólnych zapytań GraphQL takich jak `getFarms` i `getFields` z powiązanego "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" musi być wcześniej przesłany.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nazwa
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nazwa
        number #całkowita liczba geofeature'ów 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atrybutów
        
        fullAttributes { #kompletne szczegóły dla każdego atrybutu
          name #link do statystyk >> atrybut
          transliteratedName
          fullName #poprawna czytelna dla człowieka nazwa
          unit#jednostki miary
        }

        usedMachines { #używane maszyny
          id
          serial
          operatorId
        } 

        createdDate #data i godzina utworzenia encji w GeoPard
        updatedDate #data i godzina ostatniej aktualizacji
        operationId
        operationType
        operationFileDate #data i czas utworzenia pliku pochodzą z metainformacji 
        operationStartDate #początek operacji pochodzi z metainformacji
        
        statistics { #rozklad statystyk dla każdego atrybutu
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nazwa
        number #całkowita liczba geofeature'ów 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atrybutów
        
        fullAttributes { #kompletne szczegóły dla każdego atrybutu
          name #link do statystyk >> atrybut
          transliteratedName
          fullName #poprawna czytelna dla człowieka nazwa
          unit#jednostki miary
        }

        usedMachines { #używane maszyny
          id
          serial
          operatorId
        } 

        createdDate #data i godzina utworzenia encji w GeoPard
        updatedDate #data i godzina ostatniej aktualizacji
        operationId
        operationType
        operationFileDate #data i czas utworzenia pliku pochodzą z metainformacji 
        operationStartDate #początek operacji pochodzi z metainformacji
        
        statistics { #rozklad statystyk dla każdego atrybutu
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/59.-zapytanie-pobierz-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
